# ApiAuthRoleRef Data Model

An authRoleRef to operate on ApiAuthRole object

Properties
name | data type | description
--- | --- | ---
displayName | string | The display name of the authRole. displayName is optional. If a changed displayName is passed in, it will be ignored.
name | string | The name of the authRole. name is available from v32. It is optional, and cannot be modified. Name takes precedence over uuid. If name is absent, uuid will be used for look up.
uuid | string | The uuid of the authRole, which uniquely identifies it in a CM installation.

Example

    {
      "displayName" : "...",
      "name" : "...",
      "uuid" : "..."
    }